Index: /WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Backoffice/Default/main/cell_sizer1.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Backoffice/Default/main/cell_sizer1.xml	(revision 887)
+++ /WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Backoffice/Default/main/cell_sizer1.xml	(revision 888)
@@ -2,4 +2,4 @@
 <object name="cell_sizer1" meta_type="Cell Sizer">
  <property name="xpos">3</property>
- <property name="cellwidth">165px</property>
+ <property name="cellwidth">280px</property>
 </object>
Index: /WAeUP_SRP/trunk/skins/waeup_default/isManager.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_default/isManager.py	(revision 887)
+++ /WAeUP_SRP/trunk/skins/waeup_default/isManager.py	(revision 888)
@@ -12,3 +12,4 @@
 mtool = context.portal_membership
 roles = mtool.getAuthenticatedMember().getRolesInContext(context)
-return "Manager" in roles
+return "SectionManager" in roles or\
+       "Manager" in roles
Index: /WAeUP_SRP/trunk/skins/waeup_default/portlet_waeup_status_display.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_default/portlet_waeup_status_display.pt	(revision 887)
+++ /WAeUP_SRP/trunk/skins/waeup_default/portlet_waeup_status_display.pt	(revision 888)
@@ -1,31 +1,26 @@
+<metal:block define-macro="status_display">
 <tal:block define="item nocall:options/context_obj;
-                   info item/getContentInfo;
+                   item_info item/getContentInfo;
+                   student_info item/getStudentInfo;
                    base_url python: request.get('cpsskins_base_url');
-                   status_list python: ['checked', 'unchecked', 'opened', 'closed', 
-                                        'created', 'student_created', 'application_pin_entered', 
-                                        'admission_applied',
-                                        'cleared_and_validated',
-                                        'pume_passed',
-                                        'pume_failed',
-                                        'admitted',
-                                        'deferred',
-                                        'objection_raised',
-                                        'admission_rejected',
-                                        'finally_rejected',
-                                        'clearance_pin_entered',
-                                        'category_A',
-                                        'category_B',
-                                        'category_C',
-                                        'category_D',
-                                        'category_E',
-                                        'category_F',
-                                        'content_addable',
-                                        'bed_reserved',
-                                        'maintenance_fee_paid'];">
+                   states_not_shown python: ('work',);">
 
-<span tal:condition="python:path('info/review_state') in status_list ">
-  <span tal:content="info/review_state" />
-</ span>
 
+<span tal:condition="python:path('item_info/review_state') not in states_not_shown ">                   
+                   
+  <span tal:condition="student_info">
+    <span tal:content="student_info/review_state" />  
+    <span tal:condition="python:item_info['review_state']!=student_info['review_state']"> 
+       / <span tal:content="item_info/review_state" />
+    </span>
+  </ span>
+
+  <span tal:condition="not: student_info">
+    <span tal:content="item_info/review_state" />
+  </span>
+
+</span>
 </tal:block>
+</metal:block>
 
+
Index: /WAeUP_SRP/trunk/skins/waeup_student/clearance_edit_form.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/clearance_edit_form.pt	(revision 887)
+++ /WAeUP_SRP/trunk/skins/waeup_student/clearance_edit_form.pt	(revision 888)
@@ -4,5 +4,5 @@
            isStaff context/isStaff;
            isClearanceOfficer context/isClearanceOfficer;
-           isOwner context/isThisStudent;
+           isOwner context/isStudent;
            review_state info/review_state;
            edition python: (isOwner and review_state == 'clearance_pin_entered' or isManager) and not isClearanceOfficer;
Index: /WAeUP_SRP/trunk/skins/waeup_student/clearance_edit_form_manager.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/clearance_edit_form_manager.pt	(revision 887)
+++ /WAeUP_SRP/trunk/skins/waeup_student/clearance_edit_form_manager.pt	(revision 888)
@@ -4,5 +4,5 @@
            isStaff context/isStaff;
            isClearanceOfficer context/isClearanceOfficer;
-           isOwner context/isThisStudent;
+           isOwner context/isStudent;
            edition python:(isOwner or isManager) and not isClearanceOfficer;
            mode python: test(edition,'edit','view');
Index: /WAeUP_SRP/trunk/skins/waeup_student/clearance_edit_lib.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/clearance_edit_lib.pt	(revision 887)
+++ /WAeUP_SRP/trunk/skins/waeup_student/clearance_edit_lib.pt	(revision 888)
@@ -55,5 +55,5 @@
            value="Reject Clearance" 
            id="reject_clearance_button"
-           tal:condition="python:review_state == 'cleared_and_validated'" />
+           tal:condition="python:review_state in ('cleared_and_validated','clearance_requested',)" />
   </tal:block>
   <!--  isClearanceOfficer -->
Index: /WAeUP_SRP/trunk/skins/waeup_student/student_index.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/student_index.py	(revision 887)
+++ /WAeUP_SRP/trunk/skins/waeup_student/student_index.py	(revision 888)
@@ -19,5 +19,5 @@
 if pm.isAnonymousUser():
     return redirect("%s/srp_anonymous_view" % context.absolute_url())
-if context.isManager():
+if context.isManager() or context.isStaff:
     if context.portal_type == 'StudentStudyCourse':
         return context.study_course_view()