Index: /WAeUP_SRP/trunk/profiles/default/actionicons.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/actionicons.xml	(revision 889)
+++ /WAeUP_SRP/trunk/profiles/default/actionicons.xml	(revision 890)
@@ -169,5 +169,5 @@
               title="PINs" priority="5"
               icon_expr="blank.gif"/>
-  <action-icon category="navigation" action_id="contact"
+  <action-icon category="navigation" action_id="contact_admin"
               title="Contact" priority="6"
               icon_expr="blank.gif"/>
@@ -229,5 +229,5 @@
               action_id="registration" title="My Study"
               priority="1" icon_expr="blank.gif"/>
- <action-icon category="student_navigation" 
+ <action-icon category="student_navigation"
               action_id="reserve_accommodation"
               title="My Accommodation" priority="2"
@@ -237,5 +237,5 @@
               priority="3" icon_expr="blank.gif"/>
  <action-icon category="student_navigation"
-              action_id="contact_student" title="Support"
+              action_id="support" title="Support"
               priority="4" icon_expr="blank.gif"/>
  <action-icon category="student_object" action_id="slip"
Index: /WAeUP_SRP/trunk/profiles/default/actions.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/actions.xml	(revision 889)
+++ /WAeUP_SRP/trunk/profiles/default/actions.xml	(revision 890)
@@ -128,10 +128,10 @@
    <permission>Modify portal content</permission>
   </action>
-  <action title="Contact" action_id="contact" category="navigation"
-     condition_expr="member" url_expr="string:${portal_url}/contact" visible="True">
-   <permission>View</permission>
-  </action>
-  <action title="Support" action_id="contact_student" category="student_navigation"
-     condition_expr="member" url_expr="string:${portal_url}/contact_student" visible="True">
+  <action title="Contact" action_id="contact_admin" category="navigation"
+     condition_expr="member" url_expr="string:${portal_url}/contact_admin_form" visible="True">
+   <permission>View</permission>
+  </action>
+  <action title="Support" action_id="support" category="student_navigation"
+     condition_expr="member" url_expr="string:${portal_url}/support_form" visible="True">
    <permission>View</permission>
   </action>
Index: eUP_SRP/trunk/skins/waeup_default/contact.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_default/contact.pt	(revision 889)
+++ 	(revision )
@@ -1,42 +1,0 @@
-<metal:html tal:define="member python:context.portal_membership.getAuthenticatedMember()">
-  <metal:body use-macro="here/main_template/macros/master">
-    <metal:main fill-slot="main">
-      <h3>Contact</h3>
-      <br />
-      <form id="form1" name="form1" method="post" action="mail2admin">
-      <input type="hidden" name="regno" type="text" id="regno"
-             tal:attributes="value member"/>
-      <table width="100%" border="0" cellspacing="5" cellpadding="0">
-        <tr>
-          <td width="150px">
-             <strong>Full Name: </strong>
-          </td>
-          <td>
-             <input name="fullname" type="text" id="fullname" />
-          </td>
-        </tr>
-        <tr>
-          <td>
-             <strong>Email: </strong>
-          </td>
-          <td>
-             <input name="email" type="text" id="email" />
-          </td>
-        </tr>
-        <tr>
-          <td valign="top">
-             <strong>Text: </strong>
-          </td>
-          <td>
-             <textarea name="commt" rows="10" cols="60" id="commt"></textarea>
-          </td>
-        </tr>
-        <tr>
-          <td>&nbsp;</td>
-          <td><input name="Submit" type="submit" class="standalone" value="Submit" /><br /><br /></td>
-        </tr>
-      </table>
-      </form>
-    </metal:main>
-  </metal:body>
-</metal:html>
Index: /WAeUP_SRP/trunk/skins/waeup_default/contact_admin_form.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_default/contact_admin_form.pt	(revision 890)
+++ /WAeUP_SRP/trunk/skins/waeup_default/contact_admin_form.pt	(revision 890)
@@ -0,0 +1,42 @@
+<metal:html tal:define="member python:context.portal_membership.getAuthenticatedMember()">
+  <metal:body use-macro="here/main_template/macros/master">
+    <metal:main fill-slot="main">
+      <h3>Contact</h3>
+      <br />
+      <form id="form1" name="form1" method="post" action="mail2admin">
+      <input type="hidden" name="regno" type="text" id="regno"
+             tal:attributes="value member"/>
+      <table width="100%" border="0" cellspacing="5" cellpadding="0">
+        <tr>
+          <td width="150px">
+             <strong>Full Name: </strong>
+          </td>
+          <td>
+             <input name="fullname" type="text" id="fullname" />
+          </td>
+        </tr>
+        <tr>
+          <td>
+             <strong>Email: </strong>
+          </td>
+          <td>
+             <input name="email" type="text" id="email" />
+          </td>
+        </tr>
+        <tr>
+          <td valign="top">
+             <strong>Text: </strong>
+          </td>
+          <td>
+             <textarea name="commt" rows="10" cols="60" id="commt"></textarea>
+          </td>
+        </tr>
+        <tr>
+          <td>&nbsp;</td>
+          <td><input name="Submit" type="submit" class="standalone" value="Submit" /><br /><br /></td>
+        </tr>
+      </table>
+      </form>
+    </metal:main>
+  </metal:body>
+</metal:html>
Index: eUP_SRP/trunk/skins/waeup_student/contact_student.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/contact_student.pt	(revision 889)
+++ 	(revision )
@@ -1,63 +1,0 @@
-<metal:html tal:define="info context/getStudentInfo;
-                is_manager info/is_manager|nothing;
-                is_student info/is_student|nothing">
-  <metal:body use-macro="here/main_template/macros/master">
-    <metal:main fill-slot="main">
-      <h3>Support Form</h3>
-      <br />If you are having problems using the system please fill the form below with your correct details.<br /> <br /> 
-      <form id="form1" name="form1" method="post" action="mail2admin">
-      <input type="hidden" name="regno" type="text" id="regno"
-             tal:attributes="value info/id"/>
-      <table width="100%" border="0" cellspacing="5" cellpadding="0">
-        <tr>
-          <td width="150px">
-             <strong>Full Name: </strong>
-          </td>
-          <td>
-             <input name="fullname" type="text" id="fullname" 
-                    tal:attributes="value info/student/Title"/>
-          </td>
-        </tr>
-        <tr>
-          <td>
-             <strong>Email: </strong>
-          </td>
-          <td>
-             <input name="email" type="text" id="email" 
-                    tal:attributes="value info/app_doc/app_email"/>
-          </td>
-        </tr>
-        <tr>
-          <td>
-             <strong>Problem Type: </strong>
-          </td>
-          <td>
-              <select name="probtype" class="boxgreen" id="probtype">
-                <option>Payment</option>
-                <option>Application</option>
-                <option>Admission</option>
-                <option>Clearance</option>
-                <option>Course Registration</option>
-                <option>Hostal Reservation</option>                                
-                <option>Other</option>
-              </select>        
-          </td>
-        </tr>
-        <tr>
-          <td valign="top">
-             <strong>Description: </strong>
-          </td>
-          <td>
-             <textarea name="descr" rows="10" cols="60" id="descr"></textarea>
-          </td>
-        </tr>
-      
-        <tr>
-          <td>&nbsp;</td>
-          <td><input name="Submit" type="submit" class="standalone" value="Submit" /><br /><br /></td>
-        </tr>
-      </table>
-      </form>
-    </metal:main>
-  </metal:body>
-</metal:html>
Index: /WAeUP_SRP/trunk/skins/waeup_student/support_form.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/support_form.pt	(revision 890)
+++ /WAeUP_SRP/trunk/skins/waeup_student/support_form.pt	(revision 890)
@@ -0,0 +1,63 @@
+<metal:html tal:define="info context/getStudentInfo;
+                is_manager info/is_manager|nothing;
+                is_student info/is_student|nothing">
+  <metal:body use-macro="here/main_template/macros/master">
+    <metal:main fill-slot="main">
+      <h3>Support Form</h3>
+      <br />If you are having problems using the system please fill the form below with your correct details.<br /> <br /> 
+      <form id="form1" name="form1" method="post" action="mail2admin">
+      <input type="hidden" name="regno" type="text" id="regno"
+             tal:attributes="value info/id"/>
+      <table width="100%" border="0" cellspacing="5" cellpadding="0">
+        <tr>
+          <td width="150px">
+             <strong>Full Name: </strong>
+          </td>
+          <td>
+             <input name="fullname" type="text" id="fullname" 
+                    tal:attributes="value info/student/Title"/>
+          </td>
+        </tr>
+        <tr>
+          <td>
+             <strong>Email: </strong>
+          </td>
+          <td>
+             <input name="email" type="text" id="email" 
+                    tal:attributes="value info/app_doc/app_email"/>
+          </td>
+        </tr>
+        <tr>
+          <td>
+             <strong>Problem Type: </strong>
+          </td>
+          <td>
+              <select name="probtype" class="boxgreen" id="probtype">
+                <option>Payment</option>
+                <option>Application</option>
+                <option>Admission</option>
+                <option>Clearance</option>
+                <option>Course Registration</option>
+                <option>Hostal Reservation</option>                                
+                <option>Other</option>
+              </select>        
+          </td>
+        </tr>
+        <tr>
+          <td valign="top">
+             <strong>Description: </strong>
+          </td>
+          <td>
+             <textarea name="descr" rows="10" cols="60" id="descr"></textarea>
+          </td>
+        </tr>
+      
+        <tr>
+          <td>&nbsp;</td>
+          <td><input name="Submit" type="submit" class="standalone" value="Submit" /><br /><br /></td>
+        </tr>
+      </table>
+      </form>
+    </metal:main>
+  </metal:body>
+</metal:html>