Index: WAeUP_SRP/trunk/skins/waeup_academics/create_certificate.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_academics/create_certificate.py	(revision 845)
+++ WAeUP_SRP/trunk/skins/waeup_academics/create_certificate.py	(revision 892)
@@ -28,5 +28,5 @@
                                  create = 1,
                                  type_name = type_name,
-                                 psm = 'Please correct your errors',
+                                 psm = 'Please correct your errors!',
                                  )
 elif psm == '':
@@ -36,14 +36,14 @@
                                  psm = psm,
                                  )
-    
+
 elif psm == 'valid':
     oid = "%s" % ds.get('code').replace(' ','')
-    context.invokeFactory(type_name,oid) 
+    context.invokeFactory(type_name,oid)
     object = getattr(context,oid)
     ds.set('Title',ds.get('heading'))
     object.getContent().edit(mapping=ds,proxy=object)
     context.notifyCPSDocumentCreation(ob=object)
-    psm = 'new %s created' % oid
-    context_ti = context.portal_types[context.portal_type] 
+    psm = 'new %s created!' % oid
+    context_ti = context.portal_types[context.portal_type]
     index = context_ti.getActionById('view','university_view')
     return getattr(context,index)(psm=psm)
Index: WAeUP_SRP/trunk/skins/waeup_academics/create_course.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_academics/create_course.py	(revision 845)
+++ WAeUP_SRP/trunk/skins/waeup_academics/create_course.py	(revision 892)
@@ -28,5 +28,5 @@
                                  create = 1,
                                  type_name = type_name,
-                                 psm = 'Please correct your errors',
+                                 psm = 'Please correct your errors!',
                                  )
 elif psm == '':
@@ -36,14 +36,14 @@
                                  psm = psm,
                                  )
-    
+
 elif psm == 'valid':
     oid = "%s" % ds.get('code').replace(' ','')
-    context.invokeFactory(type_name,oid) 
+    context.invokeFactory(type_name,oid)
     object = getattr(context,oid)
     ds.set('Title',ds.get('heading'))
     object.getContent().edit(mapping=ds,proxy=object)
     context.notifyCPSDocumentCreation(ob=object)
-    psm = 'new %s created' % oid
-    context_ti = context.portal_types[context.portal_type] 
+    psm = 'new %s created!' % oid
+    context_ti = context.portal_types[context.portal_type]
     index = context_ti.getActionById('view','university_view')
     return getattr(context,index)(psm=psm)
Index: WAeUP_SRP/trunk/skins/waeup_academics/create_studycourse.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_academics/create_studycourse.py	(revision 845)
+++ WAeUP_SRP/trunk/skins/waeup_academics/create_studycourse.py	(revision 892)
@@ -28,5 +28,5 @@
                                  create = 1,
                                  type_name = type_name,
-                                 psm = 'Please correct your errors',
+                                 psm = 'Please correct your errors!',
                                  )
 elif psm == '':
@@ -36,14 +36,14 @@
                                  psm = psm,
                                  )
-    
+
 elif psm == 'valid':
     oid = "%s" % ds.get('code').replace(' ','')
-    context.invokeFactory(type_name,oid) 
+    context.invokeFactory(type_name,oid)
     object = getattr(context,oid)
     ds.set('Title',ds.get('heading'))
     object.getContent().edit(mapping=ds,proxy=object)
     context.notifyCPSDocumentCreation(ob=object)
-    psm = 'new %s created' % oid
-    context_ti = context.portal_types[context.portal_type] 
+    psm = 'new %s created!' % oid
+    context_ti = context.portal_types[context.portal_type]
     index = context_ti.getActionById('view','university_view')
     return getattr(context,index)(psm=psm)
Index: WAeUP_SRP/trunk/skins/waeup_academics/department_created.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_academics/department_created.py	(revision 845)
+++ WAeUP_SRP/trunk/skins/waeup_academics/department_created.py	(revision 892)
@@ -29,5 +29,5 @@
 dict = {'Title': 'Certificates'}
 o.getContent().edit(mapping=dict)
-psm = 'Department with Certificates and Courses created'
+psm = 'Department with Certificates and Courses created!'
 action_path = context.getTypeInfo().immediate_view
 context.REQUEST.RESPONSE.redirect('%s/%s?portal_status_message=%s' %
Index: WAeUP_SRP/trunk/skins/waeup_academics/level_created.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_academics/level_created.py	(revision 845)
+++ WAeUP_SRP/trunk/skins/waeup_academics/level_created.py	(revision 892)
@@ -31,5 +31,5 @@
 #o.getContent().edit(mapping=dict)
 #context.orderObjects('id')
-psm = 'Study Level created'
+psm = 'Study Level created!'
 action_path = context.getTypeInfo().immediate_view
 context.REQUEST.RESPONSE.redirect('%s/%s?portal_status_message=%s' %
Index: WAeUP_SRP/trunk/skins/waeup_academics/searchAcademics.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_academics/searchAcademics.py	(revision 845)
+++ WAeUP_SRP/trunk/skins/waeup_academics/searchAcademics.py	(revision 892)
@@ -53,8 +53,8 @@
 with_review = state != "all"
 if not term and not with_review:
-    psm = "You must specify a search string when searching 'all states'."
+    psm = "You must specify a search string when searching 'all states'!"
     err = True
 elif '*' in term:
-    psm = "you cannot use the '*' alone"
+    psm = "Wildcards are not supported!"
     err = True
 if err: