Index: WAeUP_SRP/trunk/profiles/default/themes.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/themes.xml	(revision 893)
+++ WAeUP_SRP/trunk/profiles/default/themes.xml	(revision 894)
@@ -5,4 +5,5 @@
  <property name="method_themes">
   <element key="external_edit_form" value="WAeUP_Student+Slippage"/>
+  <element key="external_clearance_edit_form" value="WAeUP_Student+Slippage"/>
   <element key="login_staff" value="WAeUP_Backoffice+Default"/>
   <element key="logged_out" value="WAeUP_Student+Default"/>
Index: WAeUP_SRP/trunk/skins/waeup_student/clearance_edit.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/clearance_edit.py	(revision 893)
+++ WAeUP_SRP/trunk/skins/waeup_student/clearance_edit.py	(revision 894)
@@ -53,4 +53,5 @@
             wftool.doActionFor(info['student'],'request_clearance',dest_container=1)
             psm = "You successfully requested clearance!"
+            action = "/clearance_view"
         else:
             psm = "You must tick the acknowledgement check box before submission!"
Index: WAeUP_SRP/trunk/skins/waeup_student/clearance_edit_form.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/clearance_edit_form.pt	(revision 893)
+++ WAeUP_SRP/trunk/skins/waeup_student/clearance_edit_form.pt	(revision 894)
@@ -1,2 +1,3 @@
+<metal:block define-macro="clearance_edit_form">
 <tal:block define="
            info context/getStudentInfo;
@@ -43,2 +44,3 @@
   </metal:block>
 </tal:block>
+</metal:block>
Index: WAeUP_SRP/trunk/skins/waeup_student/clearance_edit_lib.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/clearance_edit_lib.pt	(revision 893)
+++ WAeUP_SRP/trunk/skins/waeup_student/clearance_edit_lib.pt	(revision 894)
@@ -8,5 +8,5 @@
   </tal:block>
   <tal:block condition="python: isStaff or isManager">
-    <a href=""
+    <a href="" tal:condition="python: isManager"
        tal:attributes="href string:${here/academicsParent}">
       <img tal:attributes="src string:${here/portal_url}/arrow_up.gif"/>
Index: WAeUP_SRP/trunk/skins/waeup_student/contact_student_form.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/contact_student_form.pt	(revision 893)
+++ WAeUP_SRP/trunk/skins/waeup_student/contact_student_form.pt	(revision 894)
@@ -3,4 +3,5 @@
                         is_manager info/is_manager|nothing;
                         is_student info/is_student|nothing;
+                        is_co info/is_co|nothing;
                         ">
   <metal:body use-macro="here/main_template/macros/master">
@@ -10,8 +11,8 @@
       </span>
     
-      <span tal:condition="info/app_doc/app_email">     
+      <span tal:condition="info">
       <h3>Contact Student</h3>
       <br />
-      <span tal:condition="info">
+      <span tal:condition="info/app_doc/app_email">
       <span tal:condition="not:info/app_doc/app_email"> 
       Sorry, the student did not provide an email address.
@@ -69,6 +70,7 @@
       </span>
       <form action="." method="post" class="group">
-            <input type="submit" name="student_index:method"
-                       class="context" value="Continue" />      
+            <input type="submit" tal:condition="is_co" name="clearance_edit_form:method"
+                       class="context" value="Continue" />
+      </form>      
       </span>
     </metal:main>
Index: WAeUP_SRP/trunk/skins/waeup_student/external_clearance_edit_form.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/external_clearance_edit_form.pt	(revision 894)
+++ WAeUP_SRP/trunk/skins/waeup_student/external_clearance_edit_form.pt	(revision 894)
@@ -0,0 +1,1 @@
+<metal:block use-macro="here/clearance_edit_form/macros/clearance_edit_form" />
Index: WAeUP_SRP/trunk/skins/waeup_student/getStudentInfo.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/getStudentInfo.py	(revision 893)
+++ WAeUP_SRP/trunk/skins/waeup_student/getStudentInfo.py	(revision 894)
@@ -23,4 +23,5 @@
 info['is_manager'] = context.isManager()
 info['is_student'] = context.isStudent()
+info['is_co'] = context.isClearanceOfficer()
 member_id = str(member)
 if student is None:
Index: WAeUP_SRP/trunk/skins/waeup_student/student_index.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/student_index.py	(revision 893)
+++ WAeUP_SRP/trunk/skins/waeup_student/student_index.py	(revision 894)
@@ -25,5 +25,5 @@
         return context.study_level_view()
     elif context.portal_type == 'StudentClearance':
-        return context.clearance_edit_form()
+        return context.clearance_view()
     elif context.portal_type == 'Student':
     	return redirect("%s/student_view" % context.absolute_url())
Index: WAeUP_SRP/trunk/skins/waeup_student/students_manager_view.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/students_manager_view.pt	(revision 893)
+++ WAeUP_SRP/trunk/skins/waeup_student/students_manager_view.pt	(revision 894)
@@ -63,7 +63,14 @@
                 </td>    
                 <td><span tal:replace="python: student['app_doc'].jamb_reg_no" /></td>    
-                <td tal:condition="options/co_view|nothing"><a href="id" 
-                       tal:attributes="href string:${student/student/clearance/absolute_url}/clearance_edit_form"
-                       tal:content="student/review_state"></a></td>    
+                <td tal:condition="options/co_view|nothing">
+                       <a href="id" 
+                          tal:attributes="href string:${student/student/clearance/absolute_url}/external_clearance_edit_form"
+                          target="edit"
+                          onclick="javascript:window.open('','edit','width=600, height=700, directories=no, toolbar=no, location=no, menubar=no, scrollbars=yes, status=no, resizable=no, dependent=no')"
+                          >[edit]</a></td>
+                       
+                       
+                       
+                       
                 <td tal:condition="not: options/co_view|nothing"><span tal:replace="student/review_state" /></td>   
               </tr>