Index: WAeUP_SRP/trunk/skins/waeup_student/clearance_edit.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/clearance_edit.py	(revision 894)
+++ WAeUP_SRP/trunk/skins/waeup_student/clearance_edit.py	(revision 895)
@@ -44,5 +44,5 @@
 psm = ""
 args = {}
-action = "/clearance_edit_form"
+action = "/external_clearance_edit_form"
 if is_valid:
     if cpsdocument_edit_button:
@@ -53,7 +53,10 @@
             wftool.doActionFor(info['student'],'request_clearance',dest_container=1)
             psm = "You successfully requested clearance!"
-            action = "/clearance_view"
+            if context.isStudent():
+               action = "/clearance_view"
         else:
             psm = "You must tick the acknowledgement check box before submission!"
+            if context.isStudent():
+               action = "/clearance_edit_form"
     elif clear_and_validate_button:
         wftool.doActionFor(info['student'],'clear_and_validate')
Index: WAeUP_SRP/trunk/skins/waeup_student/clearance_edit_form.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/clearance_edit_form.pt	(revision 894)
+++ WAeUP_SRP/trunk/skins/waeup_student/clearance_edit_form.pt	(revision 895)
@@ -8,5 +8,5 @@
            review_state info/review_state;
            clear_review_state info/clear_review_state;
-           editable python: (isStudent and clear_review_state == 'open' or isManager) and not isClearanceOfficer;
+           editable python: (isStudent and clear_review_state == 'opened' or isManager) and not isClearanceOfficer;
            mode python: test(editable,'edit','view');
            rendered_main python:info['clear_doc'].render(request=request,
Index: WAeUP_SRP/trunk/skins/waeup_student/clearance_edit_lib.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/clearance_edit_lib.pt	(revision 894)
+++ WAeUP_SRP/trunk/skins/waeup_student/clearance_edit_lib.pt	(revision 895)
@@ -8,5 +8,5 @@
   </tal:block>
   <tal:block condition="python: isStaff or isManager">
-    <a href="" tal:condition="python: isManager"
+    <a href="" tal:condition="python: 0"
        tal:attributes="href string:${here/academicsParent}">
       <img tal:attributes="src string:${here/portal_url}/arrow_up.gif"/>
@@ -36,9 +36,21 @@
   <!--  isManager -->
   <tal:block condition="context/isManager"> 
+  
+     <div tal:condition="python:info['review_state'] == 'clearance_pin_entered'">
+        <input type="checkbox" value="True" name="acknowledge" />     &nbsp;&nbsp;  
+
+        I hereby acknowledge by ticking this check box 
+        that, if it is discovered at any time that I do not possess any of the 
+        qualifications which I claim to have obtained, I will be expelled from the 
+        University and shall not be re-admitted for the same or any other programme, 
+        even if I have upgraded my previous qualifications or possess additional 
+        qualifications.    
+    </div>
+    <br />
+  
     <input type="submit" class="standalone" 
            name="cpsdocument_edit_button"
            value="Save & Return Later" 
-           id="cpsdocument_edit_button"
-           tal:condition="python: review_state == 'clearance_pin_entered'" />
+           id="cpsdocument_edit_button" />
     <input type="submit" class="standalone"
            name="cpsdocument_edit_and_view_button"
Index: WAeUP_SRP/trunk/skins/waeup_student/contact_student_form.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/contact_student_form.pt	(revision 894)
+++ WAeUP_SRP/trunk/skins/waeup_student/contact_student_form.pt	(revision 895)
@@ -70,5 +70,5 @@
       </span>
       <form action="." method="post" class="group">
-            <input type="submit" tal:condition="is_co" name="clearance_edit_form:method"
+            <input type="submit" name="external_clearance_edit_form:method"
                        class="context" value="Continue" />
       </form>      
Index: WAeUP_SRP/trunk/skins/waeup_student/student_view.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/student_view.pt	(revision 894)
+++ WAeUP_SRP/trunk/skins/waeup_student/student_view.pt	(revision 895)
@@ -26,5 +26,5 @@
               <strong tal:content="row/title" /></a> </td>
             <td> 
-            <a tal:condition="row/is_editable"
+            <a tal:condition="python: row['is_editable'] and row['type']!='StudentClearance'"
                 href="edit" tal:attributes="href string:${row/url}/external_edit_form"
                 target="edit"
@@ -32,4 +32,10 @@
                 [edit]
             </a> 
+            <a tal:condition="python: row['is_editable'] and row['type']=='StudentClearance'"
+                href="edit" tal:attributes="href string:${row/url}/external_clearance_edit_form"
+                target="edit"
+                onclick="javascript:window.open('','edit','width=600, height=700, directories=no, toolbar=no, location=no, menubar=no, scrollbars=yes, status=no, resizable=no, dependent=no')">
+                [edit and change state]
+            </a>             
             </td>
           </tr>
Index: WAeUP_SRP/trunk/skins/waeup_student/students_manager_view.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/students_manager_view.pt	(revision 894)
+++ WAeUP_SRP/trunk/skins/waeup_student/students_manager_view.pt	(revision 895)
@@ -68,5 +68,5 @@
                           target="edit"
                           onclick="javascript:window.open('','edit','width=600, height=700, directories=no, toolbar=no, location=no, menubar=no, scrollbars=yes, status=no, resizable=no, dependent=no')"
-                          >[edit]</a></td>
+                          >[change state]</a></td>
                        
                        