Index: WAeUP_SRP/trunk/skins/waeup_student/searchStudents.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/searchStudents.py	(revision 895)
+++ WAeUP_SRP/trunk/skins/waeup_student/searchStudents.py	(revision 896)
@@ -65,5 +65,5 @@
                       )
 if psm == '':
-    return context.students_manager_view(rendered = rend,
+    return context.students_view(rendered = rend,
                              psm = psm,
                              #psm = "%s, %s" % (psm,ds),
@@ -88,5 +88,5 @@
     err = True
 if err:
-    return context.students_manager_view(rendered = rend,
+    return context.students_view(rendered = rend,
                              psm = psm,
                              #psm = "%s, %s" % (psm,ds),
@@ -172,5 +172,5 @@
             students.append(info)
 
-    return context.students_manager_view(rendered = rend,
+    return context.students_view(rendered = rend,
                              psm = "",
                              #psm = "%d,%d matching Students found QS = %s" %\
@@ -181,5 +181,5 @@
                              co_view = co_view,
                              )
-return context.students_manager_view(rendered = rend,
+return context.students_view(rendered = rend,
                              psm = "No student found!",
                              #psm = """Step: %s found: %s Your search for "%s" in %s with state %s failed.<br\>%s""" % (query_step,len(items),st,what,state,bools),
Index: WAeUP_SRP/trunk/skins/waeup_student/students_manager_view.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/students_manager_view.pt	(revision 895)
+++ 	(revision )
@@ -1,121 +1,0 @@
-<metal:html tal:define="rendered options/rendered;
-            portal_status_message options/psm;
-            students options/students;
-            allowed options/allowed|nothing"
-            >
-  <metal:body use-macro="here/main_template/macros/master">
-    <metal:block fill-slot="header"
-                 tal:define="creation creation|nothing;
-                 edition edition|nothing;
-                 metadata metadata|nothing"
-                 >
-    </metal:block>
-    
-    <metal:main fill-slot="main">
-      <span tal:condition="not: allowed">
-        <metal:block use-macro="here/error_not_found/macros/not_found" />
-      </span>
-      <span tal:condition="allowed"
-        tal:define="items students;
-        columns python:3;
-        items_per_page python:40;
-        max_items python:300;
-        zoom python:0;
-        batches_all python:here.getBatchList(items,columns, items_per_page,zoom,max_items=400);
-        batches python:batches_all[0];
-        batch_info python:batches_all[1];
-        zoomed python:batches_all[2];
-        mq nocall:modules/ZTUtils/make_query;"
-        tal:omit-tag=""
-        >
-      
-        <h3> Search Student Section</h3>
-        
-        <br />
-      
-        <span tal:replace="structure rendered" />
-        <tal:block tal:condition="python: batch_info and batch_info['nb_pages'] > 1">
-          <div class="batchLayout">
-            <span i18n:translate="">
-              Objects: 
-              <strong>
-                <tal:block replace="batch_info/start"
-                           i18n:name="batch_start" /> - <tal:block replace="batch_info/limit"
-                                                                   i18n:name="batch_limit" />
-              </strong>
-              of <tal:block replace="batch_info/length"
-                            i18n:name="batch_length" />
-            </span>
-          </div>
-          <br />
-        </tal:block>
-        <table class="contentListing" width="100%">
-          <span tal:repeat="rows batches" tal:omit-tag="">
-            <span tal:repeat="student rows">
-              <tr tal:condition="student" 
-                  tal:attributes="class python:test(repeat['student'].even(), 'even ajaxtd', 'odd ajaxtd')">
-                <td><a href="id" tal:attributes="href string:${student/student/absolute_url}"
-                       tal:content="student/id"></a></td>    
-                <td>
-                  <span tal:replace="python: student['per_doc'].firstname" />
-                  <span tal:replace="python: student['per_doc'].middlename" />
-                  <span tal:replace="python: student['per_doc'].lastname" />
-                </td>    
-                <td><span tal:replace="python: student['app_doc'].jamb_reg_no" /></td>    
-                <td tal:condition="options/co_view|nothing">
-                       <a href="id" 
-                          tal:attributes="href string:${student/student/clearance/absolute_url}/external_clearance_edit_form"
-                          target="edit"
-                          onclick="javascript:window.open('','edit','width=600, height=700, directories=no, toolbar=no, location=no, menubar=no, scrollbars=yes, status=no, resizable=no, dependent=no')"
-                          >[change state]</a></td>
-                       
-                       
-                       
-                       
-                <td tal:condition="not: options/co_view|nothing"><span tal:replace="student/review_state" /></td>   
-              </tr>
-            </span>
-          </span>
-        </table>
-        <tal:block condition="python:batch_info and batch_info['nb_pages'] > 1">
-          <div class="pageNavigationLayout">
-            <a tal:define="previous batch_info/previous"
-               tal:condition="python:previous is not None"
-               tal:attributes="href python:'%s?%s'%(request['URL'],
-               mq(request.form, b_start=0))"
-               >
-            (&lt;&lt;)</a>
-            <a tal:define="previous batch_info/previous"
-               tal:condition="python:previous is not None"
-               tal:attributes="href python:'%s?%s'%(request['URL'],
-               mq(request.form, b_start=previous))"
-               i18n:translate="batch_previous">Previous</a>
-            <tal:block repeat="page batch_info/pages">
-              <tal:block condition="python:page != batch_info['start'] - 1">
-                <a tal:attributes="href python:'%s?%s'%(request['URL'],
-                mq(request.form, b_start=page))"
-                tal:content="repeat/page/number">1</a>&nbsp;
-              </tal:block>
-              <tal:block condition="python:page == batch_info['start'] - 1">
-                <span tal:content="string:${repeat/page/number}" />&nbsp;
-              </tal:block>
-            </tal:block>
-            <a tal:define="next batch_info/next"
-               tal:condition="python:next is not None"
-               tal:attributes="href python:'%s?%s'%(request['URL'],
-               mq(request.form, b_start=next))"
-               i18n:translate="batch_next">Next</a>
-            <a tal:define="next batch_info/next;
-            last_page python:batch_info['pages'][-1]"
-            tal:condition="python:next is not None"
-            tal:attributes="href python:'%s?%s'%(request['URL'],
-            mq(request.form, b_start=last_page))"
-            >
-            (&gt;&gt;)</a>
-          </div>
-        </tal:block>
-      </span>
-    </metal:main>
-  </metal:body>
-</metal:html>
-  
Index: WAeUP_SRP/trunk/skins/waeup_student/students_view.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/students_view.pt	(revision 896)
+++ WAeUP_SRP/trunk/skins/waeup_student/students_view.pt	(revision 896)
@@ -0,0 +1,121 @@
+<metal:html tal:define="rendered options/rendered;
+            portal_status_message options/psm;
+            students options/students;
+            allowed options/allowed|nothing"
+            >
+  <metal:body use-macro="here/main_template/macros/master">
+    <metal:block fill-slot="header"
+                 tal:define="creation creation|nothing;
+                 edition edition|nothing;
+                 metadata metadata|nothing"
+                 >
+    </metal:block>
+    
+    <metal:main fill-slot="main">
+      <span tal:condition="not: allowed">
+        <metal:block use-macro="here/error_not_found/macros/not_found" />
+      </span>
+      <span tal:condition="allowed"
+        tal:define="items students;
+        columns python:3;
+        items_per_page python:40;
+        max_items python:300;
+        zoom python:0;
+        batches_all python:here.getBatchList(items,columns, items_per_page,zoom,max_items=400);
+        batches python:batches_all[0];
+        batch_info python:batches_all[1];
+        zoomed python:batches_all[2];
+        mq nocall:modules/ZTUtils/make_query;"
+        tal:omit-tag=""
+        >
+      
+        <h3> Search Student Section</h3>
+        
+        <br />
+      
+        <span tal:replace="structure rendered" />
+        <tal:block tal:condition="python: batch_info and batch_info['nb_pages'] > 1">
+          <div class="batchLayout">
+            <span i18n:translate="">
+              Objects: 
+              <strong>
+                <tal:block replace="batch_info/start"
+                           i18n:name="batch_start" /> - <tal:block replace="batch_info/limit"
+                                                                   i18n:name="batch_limit" />
+              </strong>
+              of <tal:block replace="batch_info/length"
+                            i18n:name="batch_length" />
+            </span>
+          </div>
+          <br />
+        </tal:block>
+        <table class="contentListing" width="100%">
+          <span tal:repeat="rows batches" tal:omit-tag="">
+            <span tal:repeat="student rows">
+              <tr tal:condition="student" 
+                  tal:attributes="class python:test(repeat['student'].even(), 'even ajaxtd', 'odd ajaxtd')">
+                <td><a href="id" tal:attributes="href string:${student/student/absolute_url}"
+                       tal:content="student/id"></a></td>    
+                <td>
+                  <span tal:replace="python: student['per_doc'].firstname" />
+                  <span tal:replace="python: student['per_doc'].middlename" />
+                  <span tal:replace="python: student['per_doc'].lastname" />
+                </td>    
+                <td><span tal:replace="python: student['app_doc'].jamb_reg_no" /></td>    
+                <td tal:condition="options/co_view|nothing">
+                       <a href="id" 
+                          tal:attributes="href string:${student/student/clearance/absolute_url}/external_clearance_edit_form"
+                          target="edit"
+                          onclick="javascript:window.open('','edit','width=600, height=700, directories=no, toolbar=no, location=no, menubar=no, scrollbars=yes, status=no, resizable=no, dependent=no')"
+                          >[change state]</a></td>
+                       
+                       
+                       
+                       
+                <td tal:condition="not: options/co_view|nothing"><span tal:replace="student/review_state" /></td>   
+              </tr>
+            </span>
+          </span>
+        </table>
+        <tal:block condition="python:batch_info and batch_info['nb_pages'] > 1">
+          <div class="pageNavigationLayout">
+            <a tal:define="previous batch_info/previous"
+               tal:condition="python:previous is not None"
+               tal:attributes="href python:'%s?%s'%(request['URL'],
+               mq(request.form, b_start=0))"
+               >
+            (&lt;&lt;)</a>
+            <a tal:define="previous batch_info/previous"
+               tal:condition="python:previous is not None"
+               tal:attributes="href python:'%s?%s'%(request['URL'],
+               mq(request.form, b_start=previous))"
+               i18n:translate="batch_previous">Previous</a>
+            <tal:block repeat="page batch_info/pages">
+              <tal:block condition="python:page != batch_info['start'] - 1">
+                <a tal:attributes="href python:'%s?%s'%(request['URL'],
+                mq(request.form, b_start=page))"
+                tal:content="repeat/page/number">1</a>&nbsp;
+              </tal:block>
+              <tal:block condition="python:page == batch_info['start'] - 1">
+                <span tal:content="string:${repeat/page/number}" />&nbsp;
+              </tal:block>
+            </tal:block>
+            <a tal:define="next batch_info/next"
+               tal:condition="python:next is not None"
+               tal:attributes="href python:'%s?%s'%(request['URL'],
+               mq(request.form, b_start=next))"
+               i18n:translate="batch_next">Next</a>
+            <a tal:define="next batch_info/next;
+            last_page python:batch_info['pages'][-1]"
+            tal:condition="python:next is not None"
+            tal:attributes="href python:'%s?%s'%(request['URL'],
+            mq(request.form, b_start=last_page))"
+            >
+            (&gt;&gt;)</a>
+          </div>
+        </tal:block>
+      </span>
+    </metal:main>
+  </metal:body>
+</metal:html>
+  