Index: WAeUP_SRP/trunk/skins/waeup_academics/academics_index.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_academics/academics_index.py	(revision 898)
+++ WAeUP_SRP/trunk/skins/waeup_academics/academics_index.py	(revision 901)
@@ -36,4 +36,4 @@
     elif context.portal_type in ('CertificateCourse','Course'):
         return context.waeup_document_view()
-    return redirect("%s/srp_manager_view" % context.portal_url())
+    return redirect("%s/srp_view" % context.portal_url())
 
Index: WAeUP_SRP/trunk/skins/waeup_accommodation/acco_folder_index.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_accommodation/acco_folder_index.py	(revision 898)
+++ WAeUP_SRP/trunk/skins/waeup_accommodation/acco_folder_index.py	(revision 901)
@@ -24,5 +24,5 @@
     elif context.portal_type == 'AccoHall':
         return context.acco_hall_view()
-    return redirect("%s/srp_manager_view" % context.portal_url())
+    return redirect("%s/srp_view" % context.portal_url())
 else:
     return redirect("%s/srp_anonymous_view" % context.portal_url())
Index: WAeUP_SRP/trunk/skins/waeup_default/campus_index.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_default/campus_index.py	(revision 898)
+++ WAeUP_SRP/trunk/skins/waeup_default/campus_index.py	(revision 901)
@@ -22,8 +22,7 @@
 campus = context.portal_catalog(meta_type = "University")[-1].getObject()
 
-if context.isManager():
-    return redirect("%s/campus_manager_view" % campus.absolute_url())
-
 if context.isStudent():
     return redirect("%s/students_index" % campus.students.absolute_url())
+else:
+    return redirect("%s/campus_view" % campus.absolute_url())
 
Index: WAeUP_SRP/trunk/skins/waeup_default/campus_manager_view.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_default/campus_manager_view.pt	(revision 898)
+++ 	(revision )
@@ -1,18 +1,0 @@
-<metal:html tal:define="info context/getStudentInfo">
-  <metal:body use-macro="here/main_template/macros/master">
-    <metal:main fill-slot="main">
-        <h2>Welcome to the     
-          <br />Student Registration Portal of the University of Benin, Nigeria</h2>
-        <br />
-        <p>This is the frontpage of Uniben's Student Registration Portal (SRP) which is part of the West African e-University Project. 
-          For further information see 
-          <a href="" tal:attributes="href string:http://waeup.org">waeup.org</a>.</p>
-        <p><strong>Fresh Students</strong>, who register for the first time, proceed to the respective application 
-          entrance page (UME, DE or Local Programmes). Later they can login to check their admission status and to
-        proceed with the admission and clearance process.</p>
-        <p><strong>Returning Students</strong> can login to check the course results of the previous session, 
-        to register courses for the current session, to pay their school fees and to book accommodation.</p>
-        <p>This site is best seen in Firefox browser.</p>
-    </metal:main>
-  </metal:body>
-</metal:html>
Index: WAeUP_SRP/trunk/skins/waeup_default/index_html.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_default/index_html.py	(revision 898)
+++ WAeUP_SRP/trunk/skins/waeup_default/index_html.py	(revision 901)
@@ -19,9 +19,7 @@
 if pm.isAnonymousUser():
     return redirect("%s/srp_anonymous_view" % request.get('URL1'))
+elif context.isStudent():
+    return redirect("%s/srp_anonymous_view" % context.absolute_url())
+else:
+	return redirect("%s/srp_view" % context.absolute_url())
 
-if context.isManager():
-    return redirect("%s/srp_manager_view" % context.absolute_url())
-
-if context.isStudent():
-    return redirect("%s/srp_anonymous_view" % context.absolute_url())
-
Index: WAeUP_SRP/trunk/skins/waeup_default/srp_manager_view.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_default/srp_manager_view.pt	(revision 898)
+++ 	(revision )
@@ -1,18 +1,0 @@
-<metal:html tal:define="info context/getStudentInfo">
-  <metal:body use-macro="here/main_template/macros/master">
-    <metal:main fill-slot="main">
-        <h2>Welcome to the     
-          <br />Student Registration Portal of the University of Benin, Nigeria</h2>
-        <br />
-        <p>This is the frontpage of Uniben's Student Registration Portal (SRP) which is part of the West African e-University Project. 
-          For further information see 
-          <a href="" tal:attributes="href string:http://waeup.org">waeup.org</a>.</p>
-        <p><strong>Fresh Students</strong>, who register for the first time, proceed to the respective application 
-          entrance page (UME, DE or Local Programmes). Later they can login to check their admission status and to
-        proceed with the admission and clearance process.</p>
-        <p><strong>Returning Students</strong> can login to check the course results of the previous session, 
-        to register courses for the current session, to pay their school fees and to book accommodation.</p>
-        <p>This site is best seen in Firefox browser.</p>
-    </metal:main>
-  </metal:body>
-</metal:html>