Index: /WAeUP_SRP/trunk/skins/waeup_academics/academics_content_lib_info_detail_tab.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_academics/academics_content_lib_info_detail_tab.pt	(revision 902)
+++ /WAeUP_SRP/trunk/skins/waeup_academics/academics_content_lib_info_detail_tab.pt	(revision 903)
@@ -150,6 +150,6 @@
       </td>
     </span>
-  <td align="left"   tal:define="isManager python:checkPerm('Modify portal content', item)">
-    <a tal:condition="python: display_buttons and isManager and context.portal_type not in ('Certificate',)"
+  <td align="left"   tal:define="isSectionManager python:checkPerm('Modify portal content', item)">
+    <a tal:condition="python: display_buttons and isSectionManager and context.portal_type not in ('Certificate',)"
        href="dummy"  tal:attributes="href string:${item/absolute_url}/cpsdocument_edit_form">[edit]</a></td>
   <td align="center" tal:condition="size_in_tabs">
Index: /WAeUP_SRP/trunk/skins/waeup_academics/getCertificateInfo.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_academics/getCertificateInfo.py	(revision 902)
+++ /WAeUP_SRP/trunk/skins/waeup_academics/getCertificateInfo.py	(revision 903)
@@ -18,5 +18,5 @@
 
 info = {}
-info['is_manager'] = context.isManager()
+info['is_manager'] = context.isSectionManager()
 info['is_student'] = context.isStudent()
 info['action'] = "%s" % context.campus.absolute_url()
Index: /WAeUP_SRP/trunk/skins/waeup_academics/getCertificatesInfo.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_academics/getCertificatesInfo.py	(revision 902)
+++ /WAeUP_SRP/trunk/skins/waeup_academics/getCertificatesInfo.py	(revision 903)
@@ -21,5 +21,5 @@
 #dep_id = request.get('PATH_TRANSLATED').split('/')[-2]
 dep_id = context.aq_parent.getId()
-info['is_manager'] = context.isManager()
+info['is_manager'] = context.isSectionManager()
 info['is_student'] = context.isStudent()
 info['action'] = "%s" % context.absolute_url()
Index: /WAeUP_SRP/trunk/skins/waeup_academics/getCoursesCertificatesInfo.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_academics/getCoursesCertificatesInfo.py	(revision 902)
+++ /WAeUP_SRP/trunk/skins/waeup_academics/getCoursesCertificatesInfo.py	(revision 903)
@@ -18,5 +18,5 @@
 
 info = {}
-info['is_manager'] = context.isManager()
+info['is_manager'] = context.isSectionManager()
 info['is_student'] = context.isStudent()
 info['action'] = "%s/faculty_view" % context.absolute_url()
Index: /WAeUP_SRP/trunk/skins/waeup_academics/getCoursesInfo.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_academics/getCoursesInfo.py	(revision 902)
+++ /WAeUP_SRP/trunk/skins/waeup_academics/getCoursesInfo.py	(revision 903)
@@ -21,5 +21,5 @@
 #dep_id = request.get('PATH_TRANSLATED').split('/')[-2]
 dep_id = context.aq_parent.getId()
-info['is_manager'] = context.isManager()
+info['is_manager'] = context.isSectionManager()
 info['is_student'] = context.isStudent()
 info['action'] = "%s" % context.absolute_url()
Index: /WAeUP_SRP/trunk/skins/waeup_academics/getDepartmentsInfo.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_academics/getDepartmentsInfo.py	(revision 902)
+++ /WAeUP_SRP/trunk/skins/waeup_academics/getDepartmentsInfo.py	(revision 903)
@@ -22,5 +22,5 @@
 member_id = str(member)
 roles = member.getRolesInContext(context)
-info['is_manager'] = context.isManager()
+info['is_manager'] = context.isSectionManager()
 info['is_student'] = context.isStudent()
 info['action'] = "%s" % context.absolute_url()
Index: /WAeUP_SRP/trunk/skins/waeup_academics/getDocumentInfo.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_academics/getDocumentInfo.py	(revision 902)
+++ /WAeUP_SRP/trunk/skins/waeup_academics/getDocumentInfo.py	(revision 903)
@@ -18,5 +18,5 @@
 
 info = {}
-info['is_manager'] = context.isManager
+info['is_manager'] = context.isSectionManager
 info['is_student'] = context.isStudent
 info['doc'] = context.getContent()
Index: /WAeUP_SRP/trunk/skins/waeup_academics/getFacultiesInfo.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_academics/getFacultiesInfo.py	(revision 902)
+++ /WAeUP_SRP/trunk/skins/waeup_academics/getFacultiesInfo.py	(revision 903)
@@ -19,5 +19,5 @@
 
 info = {}
-info['is_manager'] = context.isManager()
+info['is_manager'] = context.isSectionManager()
 info['is_student'] = context.isStudent()
 info['action'] = "%s" % context.campus.absolute_url()
Index: /WAeUP_SRP/trunk/skins/waeup_academics/getLevelInfo.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_academics/getLevelInfo.py	(revision 902)
+++ /WAeUP_SRP/trunk/skins/waeup_academics/getLevelInfo.py	(revision 903)
@@ -28,5 +28,5 @@
 cert_id = pt[-(2+p)]
 level_id = pt[-(1+p)]
-info['is_manager'] = context.isManager()
+info['is_manager'] = context.isSectionManager()
 info['is_student'] = context.isStudent()
 info['action'] = "%s" % context.absolute_url()
Index: /WAeUP_SRP/trunk/skins/waeup_academics/searchAcademics.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_academics/searchAcademics.py	(revision 902)
+++ /WAeUP_SRP/trunk/skins/waeup_academics/searchAcademics.py	(revision 903)
@@ -22,5 +22,5 @@
 mtool = context.portal_membership
 path_info = request.get('PATH_INFO').split('/')
-is_manager = context.isManager
+is_manager = context.isSectionManager
 validate = request.has_key("cpsdocument_edit_button")
 items = []
Index: /WAeUP_SRP/trunk/skins/waeup_accommodation/acco_folder_index.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_accommodation/acco_folder_index.py	(revision 902)
+++ /WAeUP_SRP/trunk/skins/waeup_accommodation/acco_folder_index.py	(revision 903)
@@ -19,5 +19,5 @@
 campus = context.portal_catalog(meta_type = "University")[-1].getObject()
 
-if context.isManager():
+if context.isSectionManager():
     if context.portal_type == 'AccoFolder':
         return context.accommodation.acco_folder_view()
Index: /WAeUP_SRP/trunk/skins/waeup_accommodation/getAccoFolderInfo.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_accommodation/getAccoFolderInfo.py	(revision 902)
+++ /WAeUP_SRP/trunk/skins/waeup_accommodation/getAccoFolderInfo.py	(revision 903)
@@ -19,5 +19,5 @@
 
 info = {}
-info['is_manager'] = context.isManager()
+info['is_manager'] = context.isSectionManager()
 info['is_student'] = context.isStudent()
 info['action'] = "%s" % context.absolute_url()
Index: /WAeUP_SRP/trunk/skins/waeup_accommodation/getAccoHallInfo.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_accommodation/getAccoHallInfo.py	(revision 902)
+++ /WAeUP_SRP/trunk/skins/waeup_accommodation/getAccoHallInfo.py	(revision 903)
@@ -21,5 +21,5 @@
 #dep_id = request.get('PATH_TRANSLATED').split('/')[-2]
 dep_id = context.aq_parent.getId()
-info['is_manager'] = context.isManager()
+info['is_manager'] = context.isSectionManager()
 info['is_student'] = context.isStudent()
 info['action'] = "%s" % context.absolute_url()
Index: /WAeUP_SRP/trunk/skins/waeup_default/campus_view.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_default/campus_view.pt	(revision 903)
+++ /WAeUP_SRP/trunk/skins/waeup_default/campus_view.pt	(revision 903)
@@ -0,0 +1,18 @@
+<metal:html tal:define="info context/getStudentInfo">
+  <metal:body use-macro="here/main_template/macros/master">
+    <metal:main fill-slot="main">
+        <h2>Welcome to the     
+          <br />Student Registration Portal of the University of Benin, Nigeria</h2>
+        <br />
+        <p>This is the frontpage of Uniben's Student Registration Portal (SRP) which is part of the West African e-University Project. 
+          For further information see 
+          <a href="" tal:attributes="href string:http://waeup.org">waeup.org</a>.</p>
+        <p><strong>Fresh Students</strong>, who register for the first time, proceed to the respective application 
+          entrance page (UME, DE or Local Programmes). Later they can login to check their admission status and to
+        proceed with the admission and clearance process.</p>
+        <p><strong>Returning Students</strong> can login to check the course results of the previous session, 
+        to register courses for the current session, to pay their school fees and to book accommodation.</p>
+        <p>This site is best seen in Firefox browser.</p>
+    </metal:main>
+  </metal:body>
+</metal:html>
Index: eUP_SRP/trunk/skins/waeup_default/isManager.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_default/isManager.py	(revision 902)
+++ 	(revision )
@@ -1,15 +1,0 @@
-## Script (Python) "isManager"
-##bind container=container
-##bind context=context
-##bind namespace=
-##bind script=script
-##bind subpath=traverse_subpath
-##parameters=student=None
-##title=
-##
-# $Id$
-
-mtool = context.portal_membership
-roles = mtool.getAuthenticatedMember().getRolesInContext(context)
-return "SectionManager" in roles or\
-       "Manager" in roles
Index: /WAeUP_SRP/trunk/skins/waeup_default/isSectionManager.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_default/isSectionManager.py	(revision 903)
+++ /WAeUP_SRP/trunk/skins/waeup_default/isSectionManager.py	(revision 903)
@@ -0,0 +1,15 @@
+## Script (Python) "isSectionManager"
+##bind container=container
+##bind context=context
+##bind namespace=
+##bind script=script
+##bind subpath=traverse_subpath
+##parameters=student=None
+##title=
+##
+# $Id: isManager.py 888 2006-11-17 21:28:48Z henrik $
+
+mtool = context.portal_membership
+roles = mtool.getAuthenticatedMember().getRolesInContext(context)
+return "SectionManager" in roles or\
+       "Manager" in roles
Index: /WAeUP_SRP/trunk/skins/waeup_default/isStaff.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_default/isStaff.py	(revision 902)
+++ /WAeUP_SRP/trunk/skins/waeup_default/isStaff.py	(revision 903)
@@ -14,5 +14,6 @@
 roles = member.getRolesInContext(context)
 
-return "SectionManager" in roles or\
+return "Manager" in roles or\
+       "SectionManager" in roles or\
        "ClearanceOfficer" in roles or\
        "ClearanceOfficers" in member.getGroups()
Index: /WAeUP_SRP/trunk/skins/waeup_default/srp_view.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_default/srp_view.pt	(revision 903)
+++ /WAeUP_SRP/trunk/skins/waeup_default/srp_view.pt	(revision 903)
@@ -0,0 +1,18 @@
+<metal:html tal:define="info context/getStudentInfo">
+  <metal:body use-macro="here/main_template/macros/master">
+    <metal:main fill-slot="main">
+        <h2>Welcome to the     
+          <br />Student Registration Portal of the University of Benin, Nigeria</h2>
+        <br />
+        <p>This is the frontpage of Uniben's Student Registration Portal (SRP) which is part of the West African e-University Project. 
+          For further information see 
+          <a href="" tal:attributes="href string:http://waeup.org">waeup.org</a>.</p>
+        <p><strong>Fresh Students</strong>, who register for the first time, proceed to the respective application 
+          entrance page (UME, DE or Local Programmes). Later they can login to check their admission status and to
+        proceed with the admission and clearance process.</p>
+        <p><strong>Returning Students</strong> can login to check the course results of the previous session, 
+        to register courses for the current session, to pay their school fees and to book accommodation.</p>
+        <p>This site is best seen in Firefox browser.</p>
+    </metal:main>
+  </metal:body>
+</metal:html>
Index: /WAeUP_SRP/trunk/skins/waeup_default/waeup_edit_form.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_default/waeup_edit_form.pt	(revision 902)
+++ /WAeUP_SRP/trunk/skins/waeup_default/waeup_edit_form.pt	(revision 903)
@@ -15,8 +15,8 @@
   
   <metal:block fill-slot="header">
-    <span tal:condition="not: context/isManager">
+    <span tal:condition="not: context/isSectionManager">
         <metal:block use-macro="here/error_not_found/macros/not_found" />
     </span>
-    <span tal:condition="context/isManager">
+    <span tal:condition="context/isSectionManager">
     <h3 tal:condition="creation" i18n:translate="">
       Create a document of type
@@ -47,5 +47,5 @@
   
  
-  <metal:block fill-slot="main" tal:condition="context/isManager">
+  <metal:block fill-slot="main" tal:condition="context/isSectionManager">
     <form action="waeup_edit" method="post" id="editForm"
           enctype="multipart/form-data" class="workflow"
Index: /WAeUP_SRP/trunk/skins/waeup_student/clearance_edit_form.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/clearance_edit_form.pt	(revision 902)
+++ /WAeUP_SRP/trunk/skins/waeup_student/clearance_edit_form.pt	(revision 903)
@@ -2,5 +2,5 @@
 <tal:block define="
            info context/getStudentInfo;
-           isManager context/isManager;
+           isSectionManager context/isSectionManager;
            isStaff context/isStaff;
            isClearanceOfficer context/isClearanceOfficer;
@@ -8,5 +8,5 @@
            review_state info/review_state;
            clear_review_state info/clear_review_state;
-           editable python: (isStudent and clear_review_state == 'opened' or isManager) and not isClearanceOfficer;
+           editable python: (isStudent and clear_review_state == 'opened' or isSectionManager) and not isClearanceOfficer;
            mode python: test(editable,'edit','view');
            rendered_main python:info['clear_doc'].render(request=request,
Index: /WAeUP_SRP/trunk/skins/waeup_student/clearance_edit_lib.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/clearance_edit_lib.pt	(revision 902)
+++ /WAeUP_SRP/trunk/skins/waeup_student/clearance_edit_lib.pt	(revision 903)
@@ -4,8 +4,8 @@
 <metal:block define-macro="header">
   <!--  Administration -->
-  <tal:block condition="python: not(isStaff or isManager or isStudent)">
+  <tal:block condition="python: not(isStaff or isSectionManager or isStudent)">
     <metal:block use-macro="here/error_not_found/macros/not_found" />
   </tal:block>
-  <tal:block condition="python: isStaff or isManager">
+  <tal:block condition="python: isStaff or isSectionManager">
     <a href="" tal:condition="python: 0"
        tal:attributes="href string:${here/academicsParent}">
@@ -34,6 +34,6 @@
 <!--  buttons -->
 <metal:block define-macro="buttons">
-  <!--  isManager -->
-  <tal:block condition="context/isManager"> 
+  <!--  isSectionManager -->
+  <tal:block condition="context/isSectionManager"> 
   
      <div tal:condition="python:info['review_state'] == 'clearance_pin_entered'">
Index: /WAeUP_SRP/trunk/skins/waeup_student/getStudentInfo.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/getStudentInfo.py	(revision 902)
+++ /WAeUP_SRP/trunk/skins/waeup_student/getStudentInfo.py	(revision 903)
@@ -21,5 +21,5 @@
 
 info = {}
-info['is_manager'] = context.isManager()
+info['is_manager'] = context.isSectionManager()
 info['is_student'] = context.isStudent()
 info['is_co'] = context.isClearanceOfficer()
Index: /WAeUP_SRP/trunk/skins/waeup_student/getStudyCourseInfo.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/getStudyCourseInfo.py	(revision 902)
+++ /WAeUP_SRP/trunk/skins/waeup_student/getStudyCourseInfo.py	(revision 903)
@@ -18,5 +18,5 @@
 
 info = {}
-info['is_manager'] = context.isManager()
+info['is_manager'] = context.isSectionManager()
 info['is_student'] = context.isStudent()
 info['action'] = "%s" % context.campus.absolute_url()
Index: /WAeUP_SRP/trunk/skins/waeup_student/getStudyLevelInfo.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/getStudyLevelInfo.py	(revision 902)
+++ /WAeUP_SRP/trunk/skins/waeup_student/getStudyLevelInfo.py	(revision 903)
@@ -44,5 +44,5 @@
 student_id = pt[-(3+p)]
 level_id = pt[-(1+p)]
-info['is_manager'] = context.isManager()
+info['is_manager'] = context.isSectionManager()
 info['is_student'] = context.isStudent()
 info['action'] = "%s" % context.absolute_url()
Index: /WAeUP_SRP/trunk/skins/waeup_student/searchStudents.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/searchStudents.py	(revision 902)
+++ /WAeUP_SRP/trunk/skins/waeup_student/searchStudents.py	(revision 903)
@@ -49,5 +49,5 @@
 pr = context.portal_registration
 path_info = request.get('PATH_INFO').split('/')
-is_manager = context.isManager()
+is_manager = context.isSectionManager()
 validate = request.has_key("cpsdocument_edit_button")
 default = {'search_mode': 'name',
Index: /WAeUP_SRP/trunk/skins/waeup_student/student_index.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/student_index.py	(revision 902)
+++ /WAeUP_SRP/trunk/skins/waeup_student/student_index.py	(revision 903)
@@ -17,7 +17,5 @@
 pm = context.portal_membership
 
-if pm.isAnonymousUser():
-    return redirect("%s/srp_anonymous_view" % context.absolute_url())
-if context.isManager() or context.isStaff:
+if context.isStaff():
     if context.portal_type == 'StudentStudyCourse':
         return context.study_course_view()
@@ -33,2 +31,5 @@
     student = info['student']
     return redirect("%s/student_view" % student.absolute_url())
+
+return redirect("%s/srp_anonymous_view" % context.absolute_url())
+    
Index: /WAeUP_SRP/trunk/skins/waeup_student/students_index.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/students_index.py	(revision 902)
+++ /WAeUP_SRP/trunk/skins/waeup_student/students_index.py	(revision 903)
@@ -25,5 +25,5 @@
 if "ClearanceOfficers" in member.getGroups():
     return redirect("%s/searchStudents" % students_url)
-if context.isManager():
+if context.isSectionManager():
     return redirect("%s/searchStudents" % students_url)
 if context.isStudent():